Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.conf
Class RuntimeSaveDelegate

    java.lang.Object
      org.objectstyle.cayenne.conf.RuntimeSaveDelegate

All Implemented Interfaces:
  ConfigSaverDelegate

    public class RuntimeSaveDelegate

extends java.lang.Object
implements ConfigSaverDelegate

Save delegate used for saving Cayenne access stack.

Author:
  Andrei Adamchik

Field Summary
`protected Configuration` | `config`

Constructor Summary
`RuntimeSaveDelegate()` Constructor for RuntimeSaveDelegate.
`RuntimeSaveDelegate(Configuration config)`

Method Summary
`java.util.Iterator` | `domainNames()`
`protected DataDomain` | `findDomain(java.lang.String domainName)`
`protected DataNode` | `findNode(java.lang.String domainName, java.lang.String nodeName)`
`java.util.Iterator` | `linkedMapNames(java.lang.String domainName, java.lang.String nodeName)`
`java.lang.String` | `mapLocation(java.lang.String domainName, java.lang.String mapName)`
`java.util.Iterator` | `mapNames(java.lang.String domainName)`
`java.lang.String` | `nodeAdapterName(java.lang.String domainName, java.lang.String nodeName)`
`java.lang.String` | `nodeDataSourceName(java.lang.String domainName, java.lang.String nodeName)`
`java.lang.String` | `nodeFactoryName(java.lang.String domainName, java.lang.String nodeName)`
`java.util.Iterator` | `nodeNames(java.lang.String domainName)`
`java.lang.String` | `projectVersion()`
`java.util.Iterator` | `propertyNames(java.lang.String domainName)`
`java.lang.String` | `propertyValue(java.lang.String domainName, java.lang.String propertyName)`
`java.lang.String` | `viewLocation(java.lang.String dataViewName)`
`java.util.Iterator` | `viewNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected Configuration config

Constructor Detail

### RuntimeSaveDelegate

    public RuntimeSaveDelegate(Configuration config)

### RuntimeSaveDelegate

    public RuntimeSaveDelegate()

  Constructor for RuntimeSaveDelegate.

Method Detail

### findDomain

    protected DataDomain findDomain(java.lang.String domainName)

### findNode

    protected DataNode findNode(java.lang.String domainName,
                                java.lang.String nodeName)

### projectVersion

    public java.lang.String projectVersion()

  Specified by:
    `projectVersion` in interface `ConfigSaverDelegate`
  Since:
    1.1

### domainNames

    public java.util.Iterator domainNames()

  Specified by:
    `domainNames` in interface `ConfigSaverDelegate`

### viewNames

    public java.util.Iterator viewNames()

  Specified by:
    `viewNames` in interface `ConfigSaverDelegate`
  Since:
    1.1

### viewLocation

    public java.lang.String viewLocation(java.lang.String dataViewName)

  Specified by:
    `viewLocation` in interface `ConfigSaverDelegate`
  Since:
    1.1

### propertyNames

    public java.util.Iterator propertyNames(java.lang.String domainName)

  Specified by:
    `propertyNames` in interface `ConfigSaverDelegate`

### propertyValue

    public java.lang.String propertyValue(java.lang.String domainName,
                                          java.lang.String propertyName)

  Specified by:
    `propertyValue` in interface `ConfigSaverDelegate`

### mapLocation

    public java.lang.String mapLocation(java.lang.String domainName,
                                        java.lang.String mapName)

  Specified by:
    `mapLocation` in interface `ConfigSaverDelegate`

### mapNames

    public java.util.Iterator mapNames(java.lang.String domainName)

  Specified by:
    `mapNames` in interface `ConfigSaverDelegate`

### nodeAdapterName

    public java.lang.String nodeAdapterName(java.lang.String domainName,
                                            java.lang.String nodeName)

  Specified by:
    `nodeAdapterName` in interface `ConfigSaverDelegate`

### nodeDataSourceName

    public java.lang.String nodeDataSourceName(java.lang.String domainName,
                                               java.lang.String nodeName)

  Specified by:
    `nodeDataSourceName` in interface `ConfigSaverDelegate`

### nodeFactoryName

    public java.lang.String nodeFactoryName(java.lang.String domainName,
                                            java.lang.String nodeName)

  Specified by:
    `nodeFactoryName` in interface `ConfigSaverDelegate`

### nodeNames

    public java.util.Iterator nodeNames(java.lang.String domainName)

  Specified by:
    `nodeNames` in interface `ConfigSaverDelegate`

### linkedMapNames

    public java.util.Iterator linkedMapNames(java.lang.String domainName,
                                             java.lang.String nodeName)

  Specified by:
    `linkedMapNames` in interface `ConfigSaverDelegate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.